[tagainijisho] Update to new release, remove skip code from kanjdic2 (nondistributable).

Martin Sourada mso at fedoraproject.org
Mon Feb 24 11:58:13 UTC 2014


commit 7b60c0c1f27c4141f9c62c4b58e7a18fe8556d36
Author: Martin Sourada <mso at fedoraproject.org>
Date:   Mon Feb 24 12:53:44 2014 +0100

    Update to new release, remove skip code from kanjdic2
    (nondistributable).

 .gitignore        |    1 +
 sources           |    2 +-
 strip.sh          |   43 +++++++++++++++++++++++++++++++++++++++++++
 tagainijisho.spec |   14 +++++++++++---
 4 files changed, 56 insertions(+), 4 deletions(-)
---
diff --git a/.gitignore b/.gitignore
index edb809a..cfb367d 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1 +1,2 @@
 /tagainijisho-0.9.4.tar.gz
+/tagainijisho-stripped-1.0.1.tar.gz
diff --git a/sources b/sources
index b6b0860..a1fa64d 100644
--- a/sources
+++ b/sources
@@ -1 +1 @@
-37fa4db43daf5cfa1591022c07a83e38  tagainijisho-0.9.4.tar.gz
+98041eb02b63589b49c60b39656a8f88  tagainijisho-stripped-1.0.1.tar.gz
diff --git a/strip.sh b/strip.sh
new file mode 100755
index 0000000..429c0ee
--- /dev/null
+++ b/strip.sh
@@ -0,0 +1,43 @@
+#!/bin/sh -x
+
+pkgname=tagainijisho
+litepkgname=tagainijisho-stripped
+
+if test "x$1" = x; then
+    echo "help: $0 <tagainijisho tar ball>"
+    exit 1
+fi
+
+#compute file/path name
+tarfile=$1
+expandpath=${tarfile%.tar.gz}
+newtarfile="$litepkgname${tarfile#$pkgname}"
+
+#prepare tmp directory
+rm -f $newtarfile
+mkdir ./tmp
+
+pushd "./tmp"
+	tar xf ../$tarfile
+
+	pushd "$expandpath/3rdparty"
+                # remove the skip code from kanjidic2-original.xml
+		#sed -i s/\<q_code\ qc_type=\"skip\"\>[0-9]*-[0-9]*-[0-9]*\<\\/q_code\>//g  kanjidic2-original.xml
+		sed -i s/\<q_code\ qc_type=\"skip\"\>[0-9]*-[0-9]*-[0-9]*\<\\/q_code\>//g  kanjidic2.xml
+		sed -i s/\<q_code\ qc_type=\"skip\"\ skip_misclass=\"posn\"\>[0-9]*-[0-9]*-[0-9]*\<\\/q_code\>//g  kanjidic2.xml
+		sed -i s/\<q_code\ qc_type=\"skip\"\ skip_misclass=\"stroke_diff\"\>[0-9]*-[0-9]*-[0-9]*\<\\/q_code\>//g  kanjidic2.xml
+		sed -i s/\<q_code\ qc_type=\"skip\"\ skip_misclass=\"stroke_count\"\>[0-9]*-[0-9]*-[0-9]*\<\\/q_code\>//g  kanjidic2.xml
+		sed -i s/\<q_code\ qc_type=\"skip\"\ skip_misclass=\"stroke_and_posn\"\>[0-9]*-[0-9]*-[0-9]*\<\\/q_code\>//g  kanjidic2.xml
+                #mv kanjidic2.xml kanjidic2.xml.orig
+                #xsltproc kanjidic2-original.xsl kanjidic2-original.xml > kanjidic2.xml
+                # check the changes in kanjidic2.xml
+                #diff kanjidic2.xml.orig kanjidic2.xml
+                #mv kanjidic2.xml.orig kanjidic2.xml
+	popd
+
+	tar zcf ${newtarfile} $expandpath
+	rm -r $expandpath
+popd
+
+mv ./tmp/$newtarfile .
+rmdir ./tmp
diff --git a/tagainijisho.spec b/tagainijisho.spec
index 038ac31..d0b258d 100644
--- a/tagainijisho.spec
+++ b/tagainijisho.spec
@@ -1,11 +1,14 @@
 Name:           tagainijisho
-Version:        0.9.4
-Release:        6%{?dist}
+Version:        1.0.1
+Release:        1%{?dist}
 Summary:        A free Japanese dictionary and study assistant
 
 License:        GPLv3+ and CC-BY-SA
 URL:            http://www.tagaini.net/
-Source0:        https://github.com/downloads/Gnurou/tagainijisho/tagainijisho-0.9.4.tar.gz
+## Stripped tarball is generated as follows:
+# $ wget https://github.com/Gnurou/tagainijisho/releases/download/%{version}/%{name}-%{version}.tar.gz
+# $ ./strip.sh %{name}-%{version}.tar.gz
+Source0:        %{name}-stripped-%{version}.tar.gz
 
 BuildRequires:  qt-devel >= 4.5
 BuildRequires:  cmake >= 2.8.1
@@ -206,6 +209,11 @@ fi
 
 
 %changelog
+* Mon Feb 24 2014 Martin Sourada <mso at fedoraproject.org> - 1.0.1-1
+- Update to 1.0.1 (rhbz #1033895)
+- Remove skip code from kanjidic2 (rhbz #969414) -- licence does not permit
+  redistribution.
+
 * Sun Aug 04 2013 Fedora Release Engineering <rel-eng at lists.fedoraproject.org> - 0.9.4-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
 


More information about the scm-commits mailing list